/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from "react";
import {
  StyleSheet,
  Text,
  View,
  Image,
  ScrollView,
  FlatList
} from "react-native";

import VideoExplain from './components/VideoExplain'

class CourseList extends Component {
  render() {
    return (
      <View style={styles.courseList}>
        <View style={[styles.padding, styles.title]}>

        </View>
      </View>
    );
  }
}

export default class CourseDetails extends Component {
  render() {
    return (
      <ScrollView style={{backgroundColor: '#F0F1F5'}}>
        <VideoExplain 
        title={'同步辅导语文一年级下册'}
        details={'汉字，作为象形文字，是中华文化的载体，本课程从甲骨文开始，让孩子爱上识字爱上文字的美。了解文字…'}
        uri={'http://chimee.org/vod/1.mp4'}
        />
        <CourseList></CourseList>
      </ScrollView>
    );
  }
}

const styles = StyleSheet.create({
  courseList: {
    width: '100%',
    backgroundColor: '#fff',
    marginTop: 8,
  },
  padding: {
    paddingLeft: 20,
    paddingRight: 20,
    
  },
  title: {

  }
});
